gtkmm: Gtk::SeparatorToolItem Class Reference

gtkmm 3.3.14

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions
Gtk::SeparatorToolItem Class Reference
Widgets

A toolbar item that separates groups of other toolbar items. More...

Inheritance diagram for Gtk::SeparatorToolItem:
[legend]

List of all members.

## Public Member Functions
virtual | ~SeparatorToolItem ()
GtkSeparatorToolItem* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkSeparatorToolItem* | gobj () const
| Provides access to the underlying C GtkObject.
| SeparatorToolItem ()
bool | get_draw () const
| Returns whether item is drawn as a line, or just blank.
void | set_draw (bool draw=true)
| Whether item is drawn as a vertical line, or just blank.
Glib::PropertyProxy< bool > | property_draw ()
| Whether the separator is drawn, or just blank.
Glib::PropertyProxy_ReadOnly < bool > | property_draw () const
| Whether the separator is drawn, or just blank.
## Related Functions
(Note that these are not member functions.)
Gtk::SeparatorToolItem* | wrap (GtkSeparatorToolItem* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A toolbar item that separates groups of other toolbar items.

A Gtk::SeparatorToolItem is a Gtk::ToolItem that separates groups of other Gtk::ToolItems. Depending on the theme, it will often look like a vertical line on horizontally docked toolbars. If the property "expand" is `true` and the property "draw" is `false`, a Gtk::SeparatorToolItem will act as a "spring" that forces other items to the ends of the toolbar.

## Constructor & Destructor Documentation

virtual Gtk::SeparatorToolItem::~SeparatorToolItem | ( |  | ) | `[virtual]`

Gtk::SeparatorToolItem::SeparatorToolItem | ( |  | ) |

## Member Function Documentation

bool Gtk::SeparatorToolItem::get_draw | ( |  | ) | const

Returns whether item is drawn as a line, or just blank.

See set_draw().

Since gtkmm 2.4:

Returns:
  `true` if item is drawn as a line, or just blank.

const GtkSeparatorToolItem* Gtk::SeparatorToolItem::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::ToolItem.

GtkSeparatorToolItem* Gtk::SeparatorToolItem::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::ToolItem.

Glib::PropertyProxy_ReadOnly< bool > Gtk::SeparatorToolItem::property_draw | ( |  | ) | const

Whether the separator is drawn, or just blank.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::SeparatorToolItem::property_draw | ( |  | ) |

Whether the separator is drawn, or just blank.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::SeparatorToolItem::set_draw | ( | bool | draw = `true` | ) |

Whether item is drawn as a vertical line, or just blank.

Setting this to `false` along with Gtk::ToolItem::set_expand() is useful to create an item that forces following items to the end of the toolbar.

Since gtkmm 2.4:

Parameters:

  draw | Whether item is drawn as a vertical line.

## Friends And Related Function Documentation

Gtk::SeparatorToolItem* wrap | ( | GtkSeparatorToolItem * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/separatortoolitem.h